version: '3.5'

networks:
  memento-damage:
    driver: bridge

services:
  memento-damage-web:
    build:
      context: .
      dockerfile: 'Dockerfile_WebServer'
    image: 'ghcr.io/oduwsdl/web-memento-damage:latest'
    ports:
      - '8080:8080'
    networks:
      - 'memento-damage'

  memento-damage-crawler:
    build:
      context: .
      dockerfile: 'Dockerfile_Crawler'
    image: 'ghcr.io/oduwsdl/memento-damage-crawler:latest'
    ports:
      - '8081:8081'
    networks:
      - 'memento-damage'

  memento-damage-replay:
    build:
        context: .
        dockerfile: 'Dockerfile_Crawler'
    image: 'ghcr.io/oduwsdl/replay-memento-damage:latest'
    ports:
      - '8082:8082'
      - '8083:8083'
    networks:
      - 'memento-damage'